import React from 'react';
export interface SelectedItem {
    id: string;
    checked: boolean;
    label: string;
    value?: string | number;
}
interface IContextValue {
    selectAnchor: Element | null;
    flatMenu: SelectedItem[];
    selected: SelectedItem[];
}
interface IContextHandler {
    toggleMenu: (target: Element | null) => void;
    updateFlatMenu: (newMenu: SelectedItem[]) => void;
    updateSelectedItem: (selectedItem: SelectedItem) => void;
    emptySelected: () => void;
}
export interface ITSLDataContext extends IContextValue, IContextHandler {
}
export declare const TSLDataContext: React.Context<ITSLDataContext>;
declare const TSLDataProvider: React.FC<React.ReactNode>;
export default TSLDataProvider;
